API referenceWebhook events

template.status

WhatsApp: a template was approved, rejected, paused, disabled... (one per organization with an account on the WABA)

Header Parameters

X-SocialAPI-Signature*string
X-SocialAPI-Timestamp*string
X-SocialAPI-Event*string
X-SocialAPI-Delivery*string
X-Idempotency-Key*string

Request Body

application/json
  1. body
id*string

Idempotency key (= X-Idempotency-Key)

event*string
Value in"post.published""post.failed""post.pending_approval""post.approved""post.rejected""action.pending_approval""action.approved""action.rejected""action.executed""action.failed""comment.received""mention.received""message.received""message.sent""message.read""message.delivered""message.reaction""message.status""template.status""template.quality""account.quality""account.connected""account.disconnected""connection.pending""phone_number.provisioned""phone_number.release_scheduled""phone_number.released""phone_number.failed""webhook.test"
createdAt*string
Formatdate-time
data*

Response Body

Acknowledged; anything else is retried (6 attempts, exponential backoff)

Example Requests
POST/template.status
Request Body
application/json
{  "id": "string",  "event": "post.published",  "createdAt": "2019-08-24T14:15:22Z",  "data": {}}
Header Parameters
{  "X-SocialAPI-Signature": "string",  "X-SocialAPI-Timestamp": "string",  "X-SocialAPI-Event": "string",  "X-SocialAPI-Delivery": "string",  "X-Idempotency-Key": "string"}